declare
  attestation_id	 numeric(16);
  prop_name      	 varchar(128);
  prop_descr		 varchar(128);
  prop_value		 varchar(128);
  prop_id      		 numeric(16);

  counter            numeric(16);
  cur_attest         sys_refcursor;

begin
  open cur_attest for
  select att.id from attestation att; 
    loop
    fetch cur_attest into attestation_id;
    exit when cur_attest%NOTFOUND;
   
   prop_name  := 'SCHEDULING_CLOSE_ONCE_COMPLETED';
   prop_descr := 'Close the campaign once reviews are completed';
   prop_value := '0';
   select count(1) into counter from attestation_prop attprop where attprop.name = prop_name and attprop.attestation = attestation_id;
    if ( counter = 0 or counter > 1) then
    	delete from attestation_prop attprop where attprop.name = prop_name and attprop.attestation = attestation_id;
    	select attestation_prop_seq.nextval into prop_id from dual;
    	
        insert into attestation_prop (id, attestation, name, value, description)
   	 	values (prop_id, attestation_id, prop_name, prop_value, prop_descr);
   	end if;
    
    end loop;
  close cur_attest;

end;
/
commit;