declare
  stat        varchar(2048);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42710'); -- The name of the object to be created is identical to the existing name

begin
  stat := '
  CREATE TABLE IB_RE_GROUP_MEMBER_CACHE (
	TARGET_ID 			VARCHAR(256) 	NOT NULL,
	OBJECT_TYPE 		VARCHAR(256),
	SERIALIZED_OBJECT 	BLOB(2G)
  )
  IN &DATA_TABLESPACE
  INDEX IN &INDEX_TABLESPACE
  LONG IN &LOB_TABLESPACE
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/


declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42889'); -- PK already defined

begin
  stat := '
  ALTER TABLE IB_RE_GROUP_MEMBER_CACHE ADD 
    CONSTRAINT IB_RE_GROUP_MEMBER_CACHE_PK
   PRIMARY KEY (TARGET_ID)
  ';
  execute immediate (stat);

exception
  when exception1 then null;

end;
/


declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'01550'); -- index already existing

begin
  stat := '
   CREATE INDEX GMCACHE_TARGET_ID_IDX ON IB_RE_GROUP_MEMBER_CACHE 
  (TARGET_ID)
  MINPCTUSED 10 
  ALLOW REVERSE SCANS
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

GRANT ALL ON IB_RE_GROUP_MEMBER_CACHE TO IGA;
GRANT ALL ON IB_RE_GROUP_MEMBER_CACHE TO IGACONN;
GRANT SELECT ON IB_RE_GROUP_MEMBER_CACHE TO REP;

CALL SYSPROC.ADMIN_CMD ( 'REORG TABLE IB_RE_GROUP_MEMBER_CACHE' );